Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.odftoolkit.odfdom.dom.type.text
Enum OdfSectionDisplayType

    java.lang.Object
      java.lang.Enum<OdfSectionDisplayType>
          org.odftoolkit.odfdom.dom.type.text.OdfSectionDisplayType

All Implemented Interfaces:
  Serializable, Comparable<OdfSectionDisplayType>

    public enum OdfSectionDisplayType

extends Enum<OdfSectionDisplayType>

DOM implementation of OpenDocument attribute text:display.

Enum Constant Summary
`CONDITION`
`NONE`
`TRUE`

Method Summary
`static OdfSectionDisplayType` | `enumValueOf(String stringValue)` String to enum, turns a String into its corresponding enum constant
`String` | `toString()` gets the name of this enum.
`static String` | `toString(OdfSectionDisplayType enumeration)` enum to String, gets the name of this enum constant as a string.
`static OdfSectionDisplayType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static OdfSectionDisplayType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### NONE

    public static final OdfSectionDisplayType NONE

### TRUE

    public static final OdfSectionDisplayType TRUE

### CONDITION

    public static final OdfSectionDisplayType CONDITION

Method Detail

### values

    public static OdfSectionDisplayType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (OdfSectionDisplayType c : OdfSectionDisplayType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static OdfSectionDisplayType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### toString

    public String toString()

  gets the name of this enum.

  Overrides:
    `toString` in class `Enum<OdfSectionDisplayType>`
  Returns:
    return the name of OdfSectionDisplayType

### toString

    public static String toString(OdfSectionDisplayType enumeration)

  enum to String, gets the name of this enum constant as a string.

  Parameters:
    `enumeration` - the constant of OdfSectionDisplayType, see text:display
  Returns:
    return the name of OdfSectionDisplayType

### enumValueOf

    public static OdfSectionDisplayType enumValueOf(String stringValue)

  String to enum, turns a String into its corresponding enum constant

  Parameters:
    `stringValue` - the name of OdfSectionDisplayType
  Returns:
    return the constant of OdfSectionDisplayType, see text:display

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2009. All Rights Reserved.